Subject: AIList Digest V5 #122

From: [email-masked]@vtcs1
Date: Fri, 15 May 87 04:09:41 edt

Date: Tue 12 May 1987 21:51-PDT
From: AIList Moderator Kenneth Laws <[email-masked]>
Subject: AIList Digest   V5 #122
To: [email-masked]
Reply-to: [email-masked]
US-Mail: SRI Int., 333 Ravenswood Ave., Menlo Park, CA  94025
Phone: (415) 859-6467

AIList Digest           Wednesday, 13 May 1987    Volume 5 : Issue 122

Today's Topics:
  Queries - Connection Graphs & Xerox/Apollo Compatibility,
  Administrivia - USENET Side of AIList,
  Education - Grammar Checkers & Teaching Programming,
  Literature - Data Flow References

----------------------------------------------------------------------

Date: Tue, 12 May 87 10:15:18 -0100
From: [email-masked] (Nils Hagner)
Subject: CONNECTION GRAPHS

CONNECTION GRAPHS
=================

Me and my friend is just about starting a little project on the
Connection Graphs of Kowalski. Now, the problem is that we're
having a hard time finding appropriate literature. Our special
interest is parallel execution of logic programs with the use
of Connection Graphs. As far as we know there are a larger research
project going on in the University of Maryland. We would like to
get in touch with people involved with these Connection Graphs
and, if possible, get hold of papers concerning particularly
parallel processing with Connection Graphs.

E-mail: [email-masked]
S-mail: Nils Hagner, Studentvagen 14:51, 752 34 Uppsala, SWEDEN

------------------------------

Date: 8 May 87 20:22:00 EDT
From: Daniel (D.R.) Zlatin <[email-masked]>
Subject: Xerox and Apollo compatibility

Hello!

We have a network of Xerox Lisp Machines (1109's and 1186's) with
file server and printer.  Lately, the question of compatibility with
other vendor's networks has arisen.

Does anyone have any first-hand experience trying to make Xerox machines
talk to a file server on an Apollo network?  The generalization to
other Unix-based workstations would also be of interest.

Thanks!!

Daniel Zlatin,
Bell-Northern Research,
Ottawa, Ontario

[email-masked]

  [This might get a better response on the [email-masked]
  or WorkS list.  -- KIL]

------------------------------

Date: Tue, 12 May 87 10:49:04-1000
From: [email-masked].
      GOV (The Perplexed Wiz)
Subject: Clarification - USENET side of AIList

Ken, there are two USENET newsgroups discussing AI.

'comp.ai' used to be called 'net.ai' and is unmoderated.  'comp.ai.digest'
is a moderated group that is made up of the individual articles which
you bundle up into AIList.  Hope this information is useful...todd

Todd Ogasawara, U. of Hawaii Computing Center
UUCP:           {ihnp4,seismo,ucbvax,dcdwest}!sdcsvax!nosc!uhccux!todd
ARPA:           [email-masked]
INTERNET:       [email-masked]

------------------------------

Date: 12-May-1987 2145
From: [email-masked]  (Takao 'Ta?i' Shimono)
Subject: Re: V5 #117

1.  mod.ai was renamed to comp.ai.digest.

2.  I don't think we can get "AI Expert" code from SIMTEL-20.
    Because it was posted to comp.ai, not to mod.sources.

than?,
-Ta?i (Takao [email-masked])
/DEC-Japan/SWS/AITC/studio.h    Project Hatena   Tokyo

------------------------------

Date: Tue, 12 May 87 09:21:02 CDT
From: [email-masked] (Scott E. Preece)
Subject: Re: Grammar Checkers

Out of curiosity, would any of the automated checkers people have
been talking about have caught the "their" for "there"
error in the following:

>         ii) The current 'reading age' metrics have no validity.
>             They are bogus psychometric tools. Operationally I am
>             saying that their will be no strong correlation (say r >
>             0.9, p < 0.001) between the reading age of text and a
>             reader's performance on a comprehension test. Allow the
>             author to add a glossary and the correlation will weaken.
>             People can learn new words you know.

--
scott preece
gould/csd - urbana
uucp:   ihnp4!uiucdcs!ccvaxa!preece
arpa:   preece@gswd-vms

------------------------------

Date: 11 May 87 14:12:12 GMT
From: [email-masked] ( Dr. Robin Lake )
Subject: Re: books on common lisp & prolog

In article <[email-masked]>
  [email-masked] (John C. Akbari) writes:
>>Can anyone make a comparison between Wilensky's "CommonLispCraft" and Tatar's
>>"A Programmer's Guide to Common Lisp"?  [...]
>>                                                        Bill Roberts
>
>in general, experience points to several important needs when teaching
>& selecting stuff:
>
>- students learn well by studying *working* examples, both in terms of
>how to program as well as details like style, data abstraction, etc.
>providing well-documented examples motivates all sorts of queries
>regarding syntax, efficiency, portability, etc. as well.
>

Yes!! And it is amazing how we humans learn natural languages by first
learning to read  ---  and THEN learning to write.  Precious few computer
programming texts ever use this approach.  I taught C and reviewed texts
for publishers for a decade before I found a lucid explaination of how
to READ C.... and that was in a newsletter.

Rob Lake

------------------------------

Date: 11 May 87 16:54:52 GMT
From: [email-masked]  (Sugih Jamin)
Subject: Data Flow Summary

Hello,

I posted a question about references to Data Flow.  A person asked me to send
him the answers I get, but all the mails bounced back, and I thought this might
be useful to other people on the net, so here they are:

===============================================================================
I found "Data Flow Computing" by John A. Sharp publ. by Ellis Horwood useful

--
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
voice: (918) 660-4047    Mark               Logicon, Inc.
uucp:  ...rutgers!okstate!apctrc!zmel0a     P.O.B 3385
ditto: zmel0a@.apctrc.UUCP                  Tulsa, OK 74102

===============================================================================

You want this:

%A Philip C. Treleaven
%A David R. Brownbridge
%A Richard P. Hopkins
%T Data-Driven and Demand-Driven Computer Architecture
%J Computing Surveys
%V 14
%N 1
%D March 1982
%P 93-143
%K Required,
CR Categories and Subject Descriptors: C.0 [Computer System Organization]:
General - hardware/software interfaces; system architectures;
C.1.2 [Processor Architecture]:
Multiple Data Stream Architectures (Multiprocessors);
C.1.3 [Processor Architecture]: Other Architecture Styles
- data flow architectures; high level language architectures;
D.3.2 [Programming Languages]: Language Classifications - data-flow
languages; macro and assembly languages; very high-level languages
General Terms: Design
Additional Key Words and Phrases: Demand = driven architecture,
data = driven architecture
%X * The aim of this paper is to identify the concepts and relationships
that exist both within and between the two areas of research of
data-driven and demand-driven architectures.

>From the Rock of Ages Home for Retired Hackers:

--eugene miya
  NASA Ames Research Center
  [email-masked]
  "You trust the `reply' command with all those different mailers out there?"
  "Send mail, avoid follow-ups.  If enough, I'll summarize."
  {hplabs,hao,ihnp4,decwrl,allegra,tektronix,menlo70}!ames!aurora!eugene

===============================================================================

P.C.  Treleaven,  D.R.  Brownridge,  R.P.  Hopkins:  "Data-driven  and
demand-driven  computer architecture", Computing Surveys, vol. 14, no.1,
pp. 93-143 (1982)

Martin Rathke

Institut f}r Informatik
Universit{t Stuttgart
Herdweg 51
D-7000 Stuttgart
West Germany

===============================================================================

That's all.  Thank's to all.  (I still can't figure out how to use refer.)

Sugih Jamin
([email-masked])

------------------------------

End of AIList Digest
********************